﻿
using System;
using Wisej.Web;

namespace FlowLayoutMoveButtons
{
	public partial class Page1 : Page
	{
		public Page1()
		{
			InitializeComponent();
		}

		private void Page1_Load(object sender, EventArgs e)
		{
			for (int i = 0; i < this.flowLayoutPanel1.Controls.Count; i++)
			{
				this.flowLayoutPanel1.Controls[i].StartMove += Page1_StartMove;
				this.flowLayoutPanel1.Controls[i].EndMove += Page1_EndMove;
				this.flowLayoutPanel1.Controls[i].Movable = true;
				this.flowLayoutPanel1.Controls[i].InitScript = "this.setKeepInBounds(true)";
			}
		}

		private void Page1_StartMove(object sender, EventArgs e)
		{
			var control = (Control)sender;
			if (!String.IsNullOrEmpty(control.CssStyle))
				control.CssStyle += ";";
			control.CssStyle += "z-index:100";
		}

		private void Page1_EndMove(object sender, EventArgs e)
		{
			var control = (Control)sender;
			if (!String.IsNullOrEmpty(control.CssStyle))
				control.CssStyle = control.CssStyle.Replace("z-index:100", "");
			var parent = control.Parent;
			var pos = Control.MousePosition;
			var target = parent.GetChildAtPoint(parent.PointToClient(pos));
			if (target != null)
			{
				parent.Controls.SetChildIndex(control, parent.Controls.GetChildIndex(target));
			}
		}
	}
}
